Mason::Result(3pm)

NAME
Mason::Result - Result returned from Mason request

SYNOPSIS
    my $interp = Mason->new(...);
    my $output = $result->output;
    my $data   = $result->data;

DESCRIPTION
An object of this class is returned from "$interp->run". It contains the page output and any values set in "$m->result". Plugins may add additional accessors.

METHODS

output
    The output of the entire page, unless out_method was defined in which case this will be empty.

data
    A hashref of arbitrary data that can be set via

        $m->result->data->{'key'} = 'value';

SEE ALSO
Mason

AUTHOR
Jonathan Swartz <swartz@pobox.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Jonathan Swartz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.